import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: `/appLotteryConfig/page`,
    method: 'get',
    params: query
  })
}

// 上下架
export function change(data){
  return request({
    url: `/appLotteryConfig/updateStatus`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query){
  return request({
    url: `/appLotteryConfig/get`,
    method: 'get',
    params: query
  })
}

// 新增
export function create(data){
  return request({
    url: `/appLotteryConfig/save`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/appLotteryConfig/update`,
    method: 'post',
    data
  })
}


// 校验时间
export function checkTime(data){
  return request({
    url: `/appLotteryConfig/checkTime`,
    method: 'post',
    data
  })
}

// 删除
export function remove(data){
  return request({
    url: `/appLotteryConfig/remove`,
    method: 'post',
    data
  })
}